## golang-github-elliotwutingfeng-asciiset 0.0~git20240214.24af97c

=== Makefile ===
tests:
	go test -v -race -covermode atomic -coverprofile coverage.out && go tool cover -html coverage.out -o coverage.html

tests_without_race:
	go test -v -covermode atomic -coverprofile coverage.out && go tool cover -html coverage.out -o coverage.html

format:
	go fmt ./...

bench:
	go test -bench . -benchmem -cpu 1

report_bench:
	go test -cpuprofile cpu.prof -memprofile mem.prof -bench . -cpu 1

cpu_report:
	go tool pprof cpu.prof

mem_report:
	go tool pprof mem.prof

=== debian/changelog ===
golang-github-elliotwutingfeng-asciiset (0.0~git20240214.24af97c-2) unstable; urgency=medium

  * Source-only upload.

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Tue, 02 Jul 2024 10:40:00 +0800

golang-github-elliotwutingfeng-asciiset (0.0~git20240214.24af97c-1) unstable; urgency=medium

  [ Maytham Alsudany, Nilesh Patra ]
  * Initial release (Closes: #1074034)

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 23 Jun 2024 11:56:31 +0530

=== debian/control ===
Source: golang-github-elliotwutingfeng-asciiset
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Maytham Alsudany <maytha8thedev@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-elliotwutingfeng-asciiset
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-elliotwutingfeng-asciiset.git
Homepage: https://github.com/elliotwutingfeng/asciiset
XS-Go-Import-Path: github.com/elliotwutingfeng/asciiset

Package: golang-github-elliotwutingfeng-asciiset-dev
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ASCII character bitset (library)
 asciiset is an ASCII character bitset. Bitsets are fast and memory-efficient
 data structures for storing and retrieving information using bitwise
 operations. asciiset is an extension of the asciiSet data structure from the
 Go Standard library source code.
 .
 Possible applications include checking strings for prohibited ASCII
 characters, and counting unique ASCII characters in a string.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/elliotwutingfeng/asciiset.git \
  HEAD
